Vega

Please note that the microDXP Vega can only use ProSpect 1.1.42 and greater.

 

User’s Manuals